H3 Max Turbo Text to Video
Integrasikan
minimax/h3-max-turbo/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max-turbo/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3-max-turbo/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3-max-turbo/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/id/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3-max-turbo/text-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}
}
Panggil model H3 Max Turbo Text to Video (minimax/h3-max-turbo/text-to-video) melalui Doitong API. Dokumentasi untuk agen: https://doitong.com/id/developers/models/minimax/h3-max-turbo/text-to-video.md
POST https://vit.doitong.com/api/v1/run/minimax/h3-max-turbo/text-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}
Jika status respons adalah "queued" atau "running", lakukan polling GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 hingga statusnya menjadi "succeeded"; file terdapat di outputs[].url. POST https://vit.doitong.com/api/v1/quote/minimax/h3-max-turbo/text-to-video dengan body yang sama mengembalikan harga pasti sebelum dijalankan.
File seperti contoh: $0,15 150 kredit API file Anda diukur sebelum dijalankan Jalankan di halaman ini
Kunci API baru Anda. Ini hanya ditampilkan sekarang dan sudah dimasukkan ke dalam kode serta kolom kunci API di bawah. Simpan secara rahasia: jangan pernah menaruhnya di kode yang berjalan di browser.
Hasil pertama Anda akan muncul di sini
Buat permintaan di bawah ini dan jalankan dengan kunci API Anda. Output disalin ke penyimpanan kami, disimpan selamanya atau 7 hari gratis.
Buat permintaan
Kontrol dibuat dari skema model. Kode dan harga diperbarui saat Anda mengubahnya.
/run/minimax/h3-max-turbo/text-to-video?wait=20
estimasi harga → $0,15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max-turbo/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3-max-turbo/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3-max-turbo/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3-max-turbo/text-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
},
"wait_seconds": 20
}
}
}
Jalankan permintaan ini
Key Anda tetap berada di browser ini: key hanya dikirim ke Doitong API dan disimpan (localStorage) hanya jika Anda mencentang Ingat. Dapatkan kunci API
Tentang H3 Max Turbo Text to Video
Menghasilkan video dari `prompt` hingga 50000 karakter tanpa input gambar. `aspect_ratio` menyediakan 21:9, 16:9, 4:3, 1:1, 3:4, dan 9:16, dengan default 16:9. `duration` berkisar dari 0.92 hingga 15 detik, dan `resolution` berupa 480P, 768P, atau 1080P. Anda dapat menyediakan `target_audio_url` (minimal 2 detik) untuk soundtrack, dan `prompt_expansion_mode` menentukan seberapa banyak prompt ditulis ulang.
Parameter
promptwajib
durationopsional
resolutionopsional
seedopsional
enable_safety_checkeropsional
prompt_expansion_modewajib
target_audio_urlopsional
aspect_ratioopsional
Parameter file menerima URL publik https://, URI data: hingga 10 MB, atau file_url dari unggahan. File
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3-max-turbo/text-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"expanded_prompt": "string",
"timings": {}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Field output
- video
- object {url, content_type, file_name, file_size}Video yang dihasilkan oleh model.
- expanded_prompt
- string | nullPrompt yang diperluas dan siap digunakan model, atau null jika teks yang diperluas tidak tersedia. Kasus null mencakup perluasan yang dinonaktifkan, perluasan yang tidak mengubah apa pun, dan perluasan yang ditangani secara internal oleh API yang di-host model.
- timings
- object | nullPengukuran waktu yang dinyatakan dalam detik, hanya tersedia pada rute yang melaporkan waktu backend; jika tidak, null. Entri 'inference' mengukur durasi denoising DiT pada backend GPU.
Varian H3 Max Turbo lainnya
Model lainnya: Teks ke Video
Untuk agen AI: halaman ini dalam Markdown tersedia di https://doitong.com/id/developers/models/minimax/h3-max-turbo/text-to-video.md. Semua model dan panduan: https://doitong.com/developers/llms.txt